View Issue Details

IDProjectCategoryView StatusLast Update
0031484RunnerPathsPublic2019-11-15 10:06
ReporterDanAssigned ToRussell Kay 
PriorityLowSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Platform-OSWindows 10OS VersionPro x64
Product Version2.2.4 
Target Version2.2.5Fixed in Version2.2.5 
Summary0031484: Paths: Creating and deleting large amounts of paths at once shows a stall and possible small memory leak
DescriptionCreating and deleting large amounts of paths at once shows a stall and possible small memory leak.

You can see this in the attached extreme-case sample, which will create and destroy 12,000 paths each time you press the Enter key. As the sample shows, each time you press Enter <60k paths processed is fine, then things start slowing a little until you reach 120k, at which point the stall each time you then press Enter lasts several seconds and becomes noticeably longer each time.

Slightly oddly, even when in this state, the spacebar route in the sample does not show any noticeable slowdown, even though it is still creating and destroying 500 paths each time, as well as logging each one individually to the output window (which would itself cause a small slowdown).
Steps To Reproduce1. Run the sample for Windows VM.
2. Press Enter 5 times and observe the delay each time is pretty minimal.
3. Now continue pressing enter and observe a stall starts appearing and taking longer each time.
4. Notice that by 132,000 or 148,000 things are really starting to take a while each time you press Enter.
5. Now switch to pressing the spacebar instead, and observe this still completes in a pretty timely fashion, so you can tap space pretty often and all is well.
Repro: 100%
TagsNo tags attached.
1.4 Found In
2.x Runtime Found In2.2.4.374
2.x Runtime Verified In2.2.5.375

Activities

Dan

2019-11-11 12:37

Adminstrator  

pathleaktest.yyz (13,058 bytes)

Russell Kay

2019-11-13 15:36

Manager   ~0065105

Fixed in gitlab

Patrick Roche

2019-11-15 10:06

Adminstrator   ~0065117

Fixed. Hit a million paths and didn't notice any major slowdown.